OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_DataMapIteratorOfDataMapOfStringInteger Class Reference

`#include <TDataStd_DataMapIteratorOfDataMapOfStringInteger.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDataStd_DataMapIteratorOfDataMapOfStringInteger ()
Standard_EXPORT | TDataStd_DataMapIteratorOfDataMapOfStringInteger (const TDataStd_DataMapOfStringInteger &aMap)
Standard_EXPORT void | Initialize (const TDataStd_DataMapOfStringInteger &aMap)
Standard_EXPORT const TCollection_ExtendedString & | Key () const
Standard_EXPORT const Standard_Integer & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_DataMapIteratorOfDataMapOfStringInteger::TDataStd_DataMapIteratorOfDataMapOfStringInteger | ( |  | ) |

Standard_EXPORT TDataStd_DataMapIteratorOfDataMapOfStringInteger::TDataStd_DataMapIteratorOfDataMapOfStringInteger | ( | const TDataStd_DataMapOfStringInteger & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TDataStd_DataMapIteratorOfDataMapOfStringInteger::Initialize | ( | const TDataStd_DataMapOfStringInteger & | aMap | ) |

Standard_EXPORT const TCollection_ExtendedString& TDataStd_DataMapIteratorOfDataMapOfStringInteger::Key | ( |  | ) | const

void TDataStd_DataMapIteratorOfDataMapOfStringInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDataStd_DataMapIteratorOfDataMapOfStringInteger::operator new | ( | size_t | size | ) | `[inline]`

void* TDataStd_DataMapIteratorOfDataMapOfStringInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Standard_Integer& TDataStd_DataMapIteratorOfDataMapOfStringInteger::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- TDataStd_DataMapIteratorOfDataMapOfStringInteger.hxx